# @(#) $Id: Makefile.PL 1.1 Tue, 14 Aug 2007 23:22:01 +0200 mxp $

use ExtUtils::MakeMaker;

print "Checking for CUPS ... ";

if (my $version = `cups-config --version`)
{
   print "yes, version $version\n";
}
else
{
   print "missing (cannot find cups-config)\n";
   exit 1;
}

## Grab the CFLAGS ...
my $includes = `cups-config --cflags`;

## Grab the LIBS ...
my $libs = `cups-config --ldflags`;
$libs    =~ s/\n/ /g;
$libs   .= `cups-config --libs`;

# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
    NAME              => 'CUPS::Query',
    VERSION_FROM      => 'Query.pm', # finds $VERSION
    PREREQ_PM         => {}, # e.g., Module::Name => 1.1
    ($] >= 5.005 ?
      (ABSTRACT_FROM  => 'Query.pm',
       AUTHOR         => 'Michael Piotrowski <mxp@dynalabs.de>') : ()),
    LIBS              => [$libs],
    INC               => $includes,
    DEFINE            => '', # e.g., '-DHAVE_SOMETHING'
);
