# @(#) $Id: Makefile.PL 1.3 Tue, 11 Jul 2006 17:35:45 +0200 mxp $

use ExtUtils::MakeMaker;

print "Checking for CUPS ... ";

if (my $version = `cups-config --version`)
{
   print "yes, version $version\n";
}
else
{
   print "missing (cannot find cups-config)\n";
   exit 1;
}

my $filterdir = `cups-config --serverbin`;
chomp $filterdir;
$filterdir .= '/filter';

WriteMakefile(
    'NAME'		=> 'includefonts',
    'VERSION_FROM'	=> 'includefonts', # finds $VERSION
    'PREREQ_PM'		=> {PostScript::Font => 1.04},
    ($] >= 5.005 ?
	 (ABSTRACT_FROM => 'includefonts',
	  AUTHOR        => 'Michael Piotrowski <mxp@dynalabs.de>') : ()),
    'EXE_FILES'         => ['includefonts', 'ttfupr', 'src/pslines'],
    'dist'              => {COMPRESS => 'gzip', SUFFIX => 'gz'},
);

package MY;
sub MY::manifypods
{
   my $inherited = shift->SUPER::manifypods(@_);
   # $Format: "   my $version = '$ProjectVersion$';"$
   my $version = '0.13';
   $inherited =~ s/pod2man "--"/pod2man "--" -c "User-Contributed CUPS Filter" -r "Version $version" /m;
   $inherited;
}

# Add a new make target for linking includefonts into the CUPS filter directory
sub MY::postamble {
    return <<TEXT;

post_install ::
	-\@echo Linking includefonts and pslines into CUPS filter directory
	ln -sf \$(INSTALLSCRIPT)/includefonts $filterdir/includefonts
	ln -sf \$(INSTALLSCRIPT)/pslines $filterdir/pslines
TEXT

}

# Add the new target to the "install" target
sub MY::install
{
   my $inherited = shift->SUPER::install(@_);
   $inherited =~ s/^install :: (.*)$/install :: $1 post_install/m;
   $inherited;
}
